## libxc 2.0.2

=== debian/changelog ===
libxc (2.0.2-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 06 Jan 2014 01:42:51 -0500

libxc (2.0.2-1) unstable; urgency=low

  * Initial release (Closes: #602110).

 -- Michael Banck <mbanck@debian.org>  Mon, 29 Jul 2013 10:57:27 +0200
