=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export FCCPP=/lib/cpp -C -ansi -ffreestanding

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

override_dh_auto_test:
	-dh_auto_test -- -k
