## libxc 2.0.3

=== debian/changelog ===
libxc (2.0.3-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/compat: Set to 9.
  * debian/control: Enabled multi-arch support.
    (Vcs-Browser, Vcs-Svn): Fixed lintian warning.
    (Build-Depends): Increased debhelper version. Added dh-autoreconf
    (closes: #734559).
  * debian/copyright: Minor fix.
  * debian/libxc1.install, debian/libxc-dev.install: Adjusted after enabling
    multi-arch support.
  * debian/rules: Added autoreconf addon and enabled parallel building. Export
    FCFLAGS properly for hardening.
  * debian/watch: Added.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Mon, 24 Feb 2014 16:56:22 +0100
