=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export FCCPP   = /lib/cpp -C -ansi -ffreestanding
export FCFLAGS = $(shell dpkg-buildflags --get FFLAGS) -pipe -funroll-loops -ffast-math -ffree-line-length-none

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

override_dh_auto_test:
	-dh_auto_test -- -k
