## libxc 2.1.1

=== debian/changelog ===
libxc (2.1.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sat, 29 Nov 2014 18:02:57 +0100

libxc (2.1.0-2) unstable; urgency=medium

  * debian/patches/fix_static_initialisation.patch: New patch, fixes FTBFS
    errors due to invalid static initialisations on some architectures.
  * debian/rules: Removed parallel option, as it seems to lead to FTBFS errors
    on some autobuilders.

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Oct 2014 20:29:27 +0200

libxc (2.1.0-1) unstable; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * debian/copyright: Updated and moved to DEP5.
  * debian/rules: Run dh_install with --list-missing.
  * debian/patches/fix_underlinkage.patch: Added.
    - Add missing -lm to fix underlinkage of the library.
  * debian/patches/testsuite_support_tmpdir.patch: Adjusted.
  * debian/patches/series: Adjusted.

  [ Michael Banck ]
  * debian/upstream: Moved to debian/upstream/metadata.

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Oct 2014 00:28:14 +0200
