## libxc 2.1.2

=== debian/changelog ===
libxc (2.1.2-1) unstable; urgency=medium

  * New upstream point release.
  * The following functionals had bugs fixed:
    - GGA: X_LB, X_LBM (bug affected unpolarized version only)
    - MGGA: C_REVTPSS, C_M08_HX, C_M08_SO, C_M11, C_M11_L
    - all HYB_GGA and HYB_MGGA (missing variable initialization that could
      cause Libxc to return wrong mixing parameters) 
  * debian/upstream/metadata: Added ArXiv PDF eprint.

 -- Michael Banck <mbanck@debian.org>  Wed, 23 Sep 2015 21:15:33 +0200
