=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: libxc
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>> 8), dh-autoreconf, gfortran
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>> 9), dh-autoreconf, gfortran
+Standards-Version: 3.9.5
 Homepage: http://www.tddft.org/programs/octopus/wiki/index.php/Libxc
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/libxc/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/libxc/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/libxc/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/libxc/
 
 Package: libxc1
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library of Exchange-Correlation Functionals
  LibXC is a library of exchange-correlation (XC) functionals for
  density-functional theory (DFT). The aim is to provide a portable, well
@@ -32,7 +32,7 @@
 Package: libxc-dev
 Architecture: any
 Section: libdevel
-Depends: libxc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Library of Exchange-Correlation Functionals (development files)
  LibXC is a library of exchange-correlation (XC) functionals for
  density-functional theory (DFT). The aim is to provide a portable, well
