## libxc 3.0.0

=== debian/changelog ===
libxc (3.0.0-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:19:20 +0000

libxc (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix_underlinkage.patch: Removed, no longer needed.
  * debian/patches/fix_static_initialisation.patch: Refreshed.
  * debian/control (libxc1): Renamed package to libxc4, adjust references.
  * debian/libxc1.install: Renamed to ...
  * debian/libxc4.install: ... this.
  * debian/libxc4.symbols: New file.

 -- Michael Banck <mbanck@debian.org>  Sun, 29 May 2016 13:21:17 +0200
