=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/libxc/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/libxc/
 
-Package: libxc1
+Package: libxc4
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -32,7 +32,7 @@
 Package: libxc-dev
 Architecture: any
 Section: libdevel
-Depends: libxc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libxc4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Library of Exchange-Correlation Functionals (development files)
  LibXC is a library of exchange-correlation (XC) functionals for
  density-functional theory (DFT). The aim is to provide a portable, well
