=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,13 @@
 export FCFLAGS = $(shell dpkg-buildflags --get FFLAGS) -pipe -funroll-loops -ffast-math -ffree-line-length-none
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared
 
 override_dh_auto_test:
 	-dh_auto_test -- -k
+
+override_dh_install:
+	dh_install --list-missing
