=== debian/watch ===
version=3
opts=\
downloadurlmangle=s#.*/Libxc_([\d.]+)$#http://www.tddft.org/programs/octopus/down.php?file=libxc/libxc-$1.tar.gz#g,\
filenamemangle=s#.*/Libxc_([\d.]+)$#libxc-$1.tar.gz#g \
 http://www.tddft.org/programs/octopus/wiki/index.php/Libxc:download ^.*/Libxc_([\d.]+)$
