## libxc 4.2.3

=== debian/changelog ===
libxc (4.2.3-3) unstable; urgency=medium

  * debian/patches/disable_lda_c_pk09.patch: New patch, disables the lda_c_pk09
    functional.
  * debian/rules (override_dh_auto_clean): Remove lda_c_pk09-specific testsuite
    files.
  * debian/libxc5.symbols: Updated.

 -- Michael Banck <mbanck@debian.org>  Sun, 23 Dec 2018 10:48:15 +0100

libxc (4.2.3-2) unstable; urgency=medium

  * debian/rules: Use -g1 in CFLAGS and FFLAGS on mips/mipsel dues to
    autobuilder out-of-memory issues during compilation.

 -- Michael Banck <mbanck@debian.org>  Fri, 21 Dec 2018 22:59:42 +0100

libxc (4.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Updated.
  * debian/rules: Force buildsystem to autoconf.
  * debian/libxc-dev.install: Wildcard pkg-config files to install.
  * debian/patches/fix_static_initialisation.patch: Refreshed.
  * debian/patches/cmake_support.patch: Removed, no longer needed.
  * debian/control, debian/libxc4.install, debian/libxc4.symbols: Bump to
    libxc5 according to SONAME change.
  * debian/libxc5.symbols: Updated.
  * debian/patches/fix_cmake_pkgconfig.patch: New patch, fixes the installation
    of libxc.pc in the CMake build system.
  * debian/control (Build-Depends): Added cmake.
  * debian/rules: Build via cmake as well.
  * debian/rules: Enable parallel build.
  * debian/libxc-dev.install: Ship CMake and binary support files.
  * debian/patches/fix_config_h_include.patch: New patch, removes include of
    config.h from xc.h, taken from upstream commit 8a7cb2e2.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Dec 2018 00:53:38 +0100

libxc (3.0.0-2) unstable; urgency=medium

  * debian/patches/cmake_support.patch: New patch, adding CMake build support,
    taken from the psi4 upstream fork.

 -- Michael Banck <mbanck@debian.org>  Sat, 19 May 2018 17:29:37 +0200
