## libxc 4.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_policy(SET CMP0048 NEW)  # project_VERSION* variables populated from project(... VERSION x.x.x) string
 project(Libxc
-        VERSION 4.2.3
+        VERSION 4.3.4
         LANGUAGES C)
 set(Libxc_AUTHORS      "Miguel A.L. Marques and others")
 set(Libxc_DESCRIPTION  "Exchange-correlation functionals for density-functional theory")
@@ -26,9 +26,6 @@
   "-xHost" "-march=native")
 option_with_print(ENABLE_FORTRAN "Build Fortran 90 interface" OFF)
 option_with_print(ENABLE_FORTRAN03 "Build Fortran 2003 interface" OFF)
-if((${ENABLE_FORTRAN03}) AND NOT ${ENABLE_FORTRAN})
-    message(FATAL_ERROR "ENABLE_FORTRAN must be enabled if ENABLE_FORTRAN03 is enabled!")
-endif()
 
 ######################### Process & Validate Options ###########################
 include(autocmake_safeguards)
@@ -42,7 +39,15 @@
 
 # link -lm only if necessary
 find_package(StandardMathLibraryC)
-
+# check if cbrt exists and declare HAVE_CBRT if it does
+check_c_source_compiles (
+  "#include <math.h>
+int main() {
+  return (int)(cbrt(0.8));
+}" HAVE_CBRT)
+if (HAVE_CBRT)
+  add_definitions (-DHAVE_CBRT)
+endif (HAVE_CBRT)
 # <<<  Build  >>>
 
 # repurpose xc_version from Make for CMake
@@ -65,7 +70,8 @@
   endif()
 endforeach()
 set(${PROJECT_NAME}_SOVERSION ${XC_CURRENT}:${XC_REVISION}:${XC_AGE})
-message(STATUS "Libxc SO ${${PROJECT_NAME}_SOVERSION}")
+math(EXPR ${PROJECT_NAME}_SOMAJOR "${XC_CURRENT} - ${XC_AGE}")
+message(STATUS "Libxc SO Full ${${PROJECT_NAME}_SOVERSION} Major ${${PROJECT_NAME}_SOMAJOR}")
 
 set(raw_sources_list
 bessel.c
@@ -284,6 +290,15 @@
 set(src_prefix "src/")
 string(REGEX REPLACE "([^;]+)" "${src_prefix}\\1" sources_list "${raw_sources_list}")
 
+set(raw_sources_list_f90
+    src/xc_f.c
+    src/libxc_master.F90
+    gen_funcidx/libxc_funcs.f90
+)
+set(raw_sources_list_f03
+    src/libxc_master.F03
+)
+
 # when headers namespaced, xc_version include in xc.h needs to be local, not
 #   system to be found
 file(READ ${src_prefix}xc.h _src_contents)
@@ -295,7 +310,7 @@
 target_link_libraries(xc INTERFACE ${STANDARD_MATH_LIBRARY})
 set_target_properties(xc PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
                                     COMPILE_FLAGS "-std=c99"
-                                    SOVERSION ${XC_CURRENT})
+                                    SOVERSION ${${PROJECT_NAME}_SOMAJOR})
 if(${BUILD_SHARED_LIBS})
     target_link_libraries(xc PRIVATE ${LIBC_INTERJECT})
     if(APPLE)
@@ -303,21 +318,32 @@
     endif()
 endif()
 
-if(ENABLE_FORTRAN)
-  enable_language(Fortran)
-  add_library(xcf90 src/libxc_master.F90 gen_funcidx/libxc_funcs.f90)
-  target_link_libraries(xcf90 xc)
-  set_target_properties(xcf90 PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})
-endif(ENABLE_FORTRAN)
-
-if(ENABLE_FORTRAN03)
-  # Fortran is already enabled above
-  set(CMAKE_Fortran_SOURCE_FILE_EXTENSIONS ${CMAKE_Fortran_SOURCE_FILE_EXTENSIONS} "f03;F03")
-  set_source_files_properties(src/libxc_master.F03 PROPERTIES LANGUAGE Fortran)
-  add_library(xcf03 src/libxc_master.F03)
-  target_link_libraries(xcf03 xc)
-  set_target_properties(xcf03 PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})
-endif(ENABLE_FORTRAN03)
+if(ENABLE_FORTRAN OR ENABLE_FORTRAN03)
+    enable_language(Fortran)
+    include(FortranCInterface)
+    # This is needed for the mangling
+    add_definitions(-DHAVE_FORTRAN)
+
+    add_library(xcf90 ${raw_sources_list_f90})
+    target_link_libraries(xcf90 xc)
+    set_target_properties(xcf90 PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})
+    target_compile_definitions(xcf90
+      PUBLIC
+        CC_FORTRAN_INT=int
+        )
+
+    FortranCInterface_HEADER(Libxc_MANGLE.h
+                             MACRO_NAMESPACE "FC_FUNC_"
+                             SYMBOL_NAMESPACE "FC_FUNC_")
+
+    if(ENABLE_FORTRAN03)
+        set(CMAKE_Fortran_SOURCE_FILE_EXTENSIONS ${CMAKE_Fortran_SOURCE_FILE_EXTENSIONS} "f03;F03")
+        set_source_files_properties(${raw_sources_list_f03} PROPERTIES LANGUAGE Fortran)
+        add_library(xcf03 ${raw_sources_list_f03})
+        target_link_libraries(xcf03 xc)
+        set_target_properties(xcf03 PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})
+    endif()
+endif()
 
 # run get_funcs.pl to generate headers for xc inclusion
 find_package(Perl REQUIRED)
@@ -344,8 +370,15 @@
                     ${gen_dir})  # for xc_funcs.h
 
 if(BUILD_TESTING)
-    enable_testing ()
-    add_subdirectory(testsuite)
+    find_program(BZip2_EXECUTABLE
+             NAMES bzip2
+             DOC "Path to zipping utility")
+    if(BZip2_EXECUTABLE)
+        enable_testing ()
+        add_subdirectory(testsuite)  
+    else()
+        message(FATAL_ERROR "Install `bzip2` command to enable tests")
+    endif()
 endif()
 
 # <<<  Install  >>>
@@ -361,20 +394,28 @@
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
         ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
         LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
-if(ENABLE_FORTRAN)
-  install(TARGETS xcf90
-    EXPORT "${PN}Targets"
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
-endif(ENABLE_FORTRAN)
-if(ENABLE_FORTRAN03)
-  install(TARGETS xcf03
-    EXPORT "${PN}Targets"
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
-endif(ENABLE_FORTRAN03)
+if(ENABLE_FORTRAN OR ENABLE_FORTRAN03)
+    install(TARGETS xcf90
+            EXPORT "${PN}Targets"
+            RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
+    install(FILES "${PROJECT_BINARY_DIR}/libxc_funcs_m.mod"
+                  "${PROJECT_BINARY_DIR}/xc_f90_lib_m.mod"
+                  "${PROJECT_BINARY_DIR}/xc_f90_types_m.mod"
+            DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}${NAMESPACE_INSTALL_INCLUDEDIR})
+
+    if(ENABLE_FORTRAN03)
+        install(TARGETS xcf03
+                EXPORT "${PN}Targets"
+                RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+                ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+                LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
+        install(FILES "${PROJECT_BINARY_DIR}/xc_f03_lib_m.mod"
+                DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}${NAMESPACE_INSTALL_INCLUDEDIR})
+    endif()
+endif()
+
 # <<<  Export Interface  >>>
 
 target_compile_definitions(xc INTERFACE USING_${PN})
@@ -392,11 +433,3 @@
                                  VERSION ${${PN}_VERSION}
                                  COMPATIBILITY AnyNewerVersion)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
-              ${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
-        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
-install(EXPORT "${PN}Targets"
-        NAMESPACE "${PN}::"
-        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
-
-install(FILES ${PROJECT_BINARY_DIR}/libxc.pc
-        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/libxc.pc)
