=== debian/changelog ===
libxc (4.3.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:37 +0100

libxc (4.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/testsuite_support_tmpdir.patch,
    debian/patches/fix_static_initialisation.patch: Refreshed.
  * debian/patches/fix_cmake_pkgconfig.patch: Removed, applied upstream.
  * debian/patches/fix_config_h_include.patch: Likewise.
  * debian/patches/disable_lda_c_pk09.patch: Refreshed.
  * debian/libxc5.symbols: Updated.
  * debian/copyright, debian/upstream/metadata: Updated project homepage to
    Gitlab.

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Nov 2019 17:45:13 +0100
