=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>> 9), dh-autoreconf, gfortran
+Build-Depends: cmake, debhelper (>> 9), dh-autoreconf, gfortran
 Standards-Version: 3.9.5
 Homepage: http://www.tddft.org/programs/octopus/wiki/index.php/Libxc
-Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/libxc/
-Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/libxc/
+Vcs-Browser: https://salsa.debian.org/debichem-team/libxc
+Vcs-Git: https://salsa.debian.org/debichem-team/libxc.git
 
-Package: libxc4
+Package: libxc5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -32,7 +32,7 @@
 Package: libxc-dev
 Architecture: any
 Section: libdevel
-Depends: libxc4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libxc5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Library of Exchange-Correlation Functionals (development files)
  LibXC is a library of exchange-correlation (XC) functionals for
  density-functional theory (DFT). The aim is to provide a portable, well
